.btn>i[class~="fas"], .btn>i[class~="far"], .btn>i[class~="fal"] {
  display: inline-block;
  width: 18px;
  text-align: center;
}

/*新增*/

.btn-create {
  background: #0ba36f;
  color: #ffffff;
  border-color: #0ba36f;
}

.btn-create:not(:disabled):not(.disabled):hover {
  color: #ffffff;
  background: #008675;
  border-color: #00796a;
}

.btn-create:focus, .btn-create.focus {
  -webkit-box-shadow: 0 0 0 0.2rem rgba(0, 172, 150, 0.4);
  box-shadow: 0 0 0 0.2rem rgba(0, 172, 150, 0.4);
}

.btn-create.disabled, .btn-create:disabled {
  opacity: 0.65;
  -webkit-box-shadow: none;
  box-shadow: none;
  color: #ffffff !important;
}

.btn-create:not(:disabled):not(.disabled):active, .btn-create:not(:disabled):not(.disabled).active {
  -webkit-box-shadow: none;
  box-shadow: none;
  background: #00796a;
  border-color: #006c5e;
  color: #ffffff;
}

.btn-create:not(:disabled):not(.disabled):active:focus, .btn-create:not(:disabled):not(.disabled).active:focus {
  -webkit-box-shadow: 0 0 0 0.2rem rgba(0, 172, 150, 0.4);
  box-shadow: 0 0 0 0.2rem rgba(0, 172, 150, 0.4);
  color: #ffffff;
}

/*--編輯--*/

.btn-edit {
  color: #00a2ce;
  border-color: #00a2ce;
  background: transparent;
}

.btn-edit:not(:disabled):not(.disabled):hover {
  color: #ffffff;
  background-color: #00a2ce;
  border-color: #00a2ce;
}

.btn-edit:focus, .btn-edit.focus {
  -webkit-box-shadow: 0 0 0 0.2rem rgba(23, 191, 218, 0.5);
  box-shadow: 0 0 0 0.2rem rgba(23, 191, 218, 0.5);
}

.btn-edit.disabled, .btn-edit:disabled {
  color: #00a2ce;
  background-color: transparent;
}

.btn-edit:not(:disabled):not(.disabled):active, .btn-edit:not(:disabled):not(.disabled).active {
  color: #ffffff;
  background-color: #00a2ce;
  border-color: #00a2ce;
}

.btn-edit:not(:disabled):not(.disabled):active:focus, .btn-edit:not(:disabled):not(.disabled).active:focus {
  -webkit-box-shadow: 0 0 0 0.2rem rgba(23, 191, 218, 0.5);
  box-shadow: 0 0 0 0.2rem rgba(23, 191, 218, 0.5);
}

/*--編輯細項--*/

.btn-detail {
  background: #00aae6;
  color: #ffffff;
  border-color: #00aae6;
}

.btn-detail:not(:disabled):not(.disabled):hover {
  color: #ffffff;
  background: #008ec0;
  border-color: #0084b3;
}

.btn-detail:focus, .btn-detail.focus {
  -webkit-box-shadow: 0 0 0 0.2rem rgba(0, 170, 230, 0.4);
  box-shadow: 0 0 0 0.2rem rgba(0, 170, 230, 0.4);
}

.btn-detail.disabled, .btn-detail:disabled {
  opacity: 0.65;
  -webkit-box-shadow: none;
  box-shadow: none;
  color: #ffffff !important;
}

.btn-detail:not(:disabled):not(.disabled):active, .btn-detail:not(:disabled):not(.disabled).active {
  -webkit-box-shadow: none;
  box-shadow: none;
  background: #0084b3;
  border-color: #007ba6;
  color: #ffffff;
}

.btn-detail:not(:disabled):not(.disabled):active:focus, .btn-detail:not(:disabled):not(.disabled).active:focus {
  -webkit-box-shadow: 0 0 0 0.2rem rgba(0, 170, 230, 0.4);
  box-shadow: 0 0 0 0.2rem rgba(0, 170, 230, 0.4);
  color: #ffffff;
}

/*查詢*/

.btn-search {
  background: #00aae6;
  color: #ffffff;
  border-color: #00aae6;
}

.btn-search:not(:disabled):not(.disabled):hover {
  color: #ffffff;
  background: #008ec0;
  border-color: #0084b3;
}

.btn-search:focus, .btn-search.focus {
  -webkit-box-shadow: 0 0 0 0.2rem rgba(0, 170, 230, 0.4);
  box-shadow: 0 0 0 0.2rem rgba(0, 170, 230, 0.4);
}

.btn-search.disabled, .btn-search:disabled {
  opacity: 0.65;
  -webkit-box-shadow: none;
  box-shadow: none;
  color: #ffffff !important;
}

.btn-search:not(:disabled):not(.disabled):active, .btn-search:not(:disabled):not(.disabled).active {
  -webkit-box-shadow: none;
  box-shadow: none;
  background: #0084b3;
  border-color: #007ba6;
  color: #ffffff;
}

.btn-search:not(:disabled):not(.disabled):active:focus, .btn-search:not(:disabled):not(.disabled).active:focus {
  -webkit-box-shadow: 0 0 0 0.2rem rgba(0, 170, 230, 0.4);
  box-shadow: 0 0 0 0.2rem rgba(0, 170, 230, 0.4);
  color: #ffffff;
}

/*列印*/

.btn-print {
  background: #32343b;
  color: #ffffff;
  border-color: #32343b;
}

.btn-print:not(:disabled):not(.disabled):hover {
  color: #ffffff;
  background: #4e525f;
  border-color: #4e525f;
}

.btn-print:focus, .btn-print.focus {
  -webkit-box-shadow: 0 0 0 0.2rem rgba(217, 217, 217, 0.4);
  box-shadow: 0 0 0 0.2rem rgba(217, 217, 217, 0.4);
}

.btn-print.disabled, .btn-print:disabled {
  opacity: 0.65;
  -webkit-box-shadow: none;
  box-shadow: none;
  color: #ffffff !important;
}

.btn-print:not(:disabled):not(.disabled):active, .btn-print:not(:disabled):not(.disabled).active {
  -webkit-box-shadow: none;
  box-shadow: none;
  background: #4e525f;
  border-color: #4e525f;
  color: #ffffff;
}

.btn-print:not(:disabled):not(.disabled):active:focus, .btn-print:not(:disabled):not(.disabled).active:focus {
  -webkit-box-shadow: 0 0 0 0.2rem rgba(217, 217, 217, 0.4);
  box-shadow: 0 0 0 0.2rem rgba(217, 217, 217, 0.4);
  color: #ffffff;
}

/*刪除*/

.btn-delete {
  background: #e9454c;
  color: #ffffff;
  border-color: #e9454c;
}

.btn-delete:not(:disabled):not(.disabled):hover {
  color: #ffffff;
  background: #e5232b;
  border-color: #e01b23;
}

.btn-delete:focus, .btn-delete.focus {
  -webkit-box-shadow: 0 0 0 0.2rem rgba(233, 69, 76, 0.4);
  box-shadow: 0 0 0 0.2rem rgba(233, 69, 76, 0.4);
}

.btn-delete.disabled, .btn-delete:disabled {
  opacity: 0.65;
  -webkit-box-shadow: none;
  box-shadow: none;
  color: #ffffff !important;
}

.btn-delete:not(:disabled):not(.disabled):active, .btn-delete:not(:disabled):not(.disabled).active {
  -webkit-box-shadow: none;
  box-shadow: none;
  background: #e01b23;
  border-color: #d51921;
  color: #ffffff;
}

.btn-delete:not(:disabled):not(.disabled):active:focus, .btn-delete:not(:disabled):not(.disabled).active:focus {
  -webkit-box-shadow: 0 0 0 0.2rem rgba(233, 69, 76, 0.4);
  box-shadow: 0 0 0 0.2rem rgba(233, 69, 76, 0.4);
  color: #ffffff;
}

.table .btn-delete {
  color: #e9454c;
  border-color: #e9454c;
  background: transparent;
}

.table .btn-delete:not(:disabled):not(.disabled):hover {
  color: #ffffff;
  background-color: #e9454c;
  border-color: #e9454c;
}

.table .btn-delete:focus, .table .btn-delete.focus {
  -webkit-box-shadow: 0 0 0 0.2rem rgba(233, 69, 76, 0.5);
  box-shadow: 0 0 0 0.2rem rgba(233, 69, 76, 0.5);
}

.table .btn-delete.disabled, .table .btn-delete:disabled {
  color: #e9454c;
  background-color: transparent;
}

.table .btn-delete:not(:disabled):not(.disabled):active, .table .btn-delete:not(:disabled):not(.disabled).active {
  color: #ffffff;
  background-color: #e9454c;
  border-color: #e9454c;
}

.table .btn-delete:not(:disabled):not(.disabled):active:focus, .table .btn-delete:not(:disabled):not(.disabled).active:focus {
  -webkit-box-shadow: 0 0 0 0.2rem rgba(233, 69, 76, 0.5);
  box-shadow: 0 0 0 0.2rem rgba(233, 69, 76, 0.5);
}

/*返回---取消*/

.btn-back, .btn-cancel {
  background: #5a5d60;
  color: #ffffff;
  border-color: #4a5056;
}

.btn-back:not(:disabled):not(.disabled):hover, .btn-cancel:not(:disabled):not(.disabled):hover {
  color: #ffffff;
  background: #5a5d60;
  border-color: #5a5d60;
}

.btn-back:focus, .btn-back.focus, .btn-cancel:focus, .btn-cancel.focus {
  -webkit-box-shadow: 0 0 0 0.2rem rgba(159, 161, 177, 0.4);
  box-shadow: 0 0 0 0.2rem rgba(159, 161, 177, 0.4);
}

.btn-back.disabled, .btn-back:disabled, .btn-cancel.disabled, .btn-cancel:disabled {
  opacity: 0.65;
  -webkit-box-shadow: none;
  box-shadow: none;
  color: #ffffff !important;
}

.btn-back:not(:disabled):not(.disabled):active, .btn-back:not(:disabled):not(.disabled).active, .btn-cancel:not(:disabled):not(.disabled):active, .btn-cancel:not(:disabled):not(.disabled).active {
  -webkit-box-shadow: none;
  box-shadow: none;
  background: #83859a;
  border-color: #7c7f94;
  color: #ffffff;
}

.btn-back:not(:disabled):not(.disabled):active:focus, .btn-back:not(:disabled):not(.disabled).active:focus, .btn-cancel:not(:disabled):not(.disabled):active:focus, .btn-cancel:not(:disabled):not(.disabled).active:focus {
  -webkit-box-shadow: 0 0 0 0.2rem rgba(159, 161, 177, 0.4);
  box-shadow: 0 0 0 0.2rem rgba(159, 161, 177, 0.4);
  color: #ffffff;
}

/*送出*/

.btn-submit {
  background: #67ce3b;
  color: #ffffff;
  border-color: #67ce3b;
}

.btn-submit:not(:disabled):not(.disabled):hover {
  color: #ffffff;
  background: #14ac01;
  border-color: #14ac01;
}

.btn-submit:focus, .btn-submit.focus {
  -webkit-box-shadow: 0 0 0 0.2rem rgba(0, 172, 150, 0.4);
  box-shadow: 0 0 0 0.2rem rgba(0, 172, 150, 0.4);
}

.btn-submit.disabled, .btn-submit:disabled {
  opacity: 0.65;
  -webkit-box-shadow: none;
  box-shadow: none;
  color: #ffffff !important;
}

.btn-submit:not(:disabled):not(.disabled):active, .btn-submit:not(:disabled):not(.disabled).active {
  -webkit-box-shadow: none;
  box-shadow: none;
  background: #14ac01;
  border-color: #14ac01;
  color: #ffffff;
}

.btn-submit:not(:disabled):not(.disabled):active:focus, .btn-submit:not(:disabled):not(.disabled).active:focus {
  -webkit-box-shadow: 0 0 0 0.2rem rgba(0, 172, 150, 0.4);
  box-shadow: 0 0 0 0.2rem rgba(0, 172, 150, 0.4);
  color: #ffffff;
}

/*更新*/

.btn-update {
  background: #fdae39;
  color: #ffffff;
  border-color: #fdae39;
}

.btn-update:not(:disabled):not(.disabled):hover {
  color: #ffffff;
  background: #d39c00;
  border-color: #d39c00;
}

.btn-update:focus, .btn-update.focus {
  -webkit-box-shadow: 0 0 0 0.2rem rgba(217, 217, 217, 0.4);
  box-shadow: 0 0 0 0.2rem rgba(217, 217, 217, 0.4);
}

.btn-update.disabled, .btn-update:disabled {
  opacity: 0.65;
  -webkit-box-shadow: none;
  box-shadow: none;
  color: #ffffff !important;
}

.btn-update:not(:disabled):not(.disabled):active, .btn-update:not(:disabled):not(.disabled).active {
  -webkit-box-shadow: none;
  box-shadow: none;
  background: #b98900;
  border-color: #b98900;
  color: #ffffff;
}

.btn-update:not(:disabled):not(.disabled):active:focus, .btn-update:not(:disabled):not(.disabled).active:focus {
  -webkit-box-shadow: 0 0 0 0.2rem rgba(217, 217, 217, 0.4);
  box-shadow: 0 0 0 0.2rem rgba(217, 217, 217, 0.4);
  color: #ffffff;
}

/*暫存*/

.btn-temporarily {
  background: #ffc107;
  color: #7a340b;
  border-color: #ffc107;
}

.btn-temporarily:not(:disabled):not(.disabled):hover {
  color: #7a340b;
  background: #e0a800;
  border-color: #e0a800;
}

.btn-temporarily:focus, .btn-temporarily.focus {
  -webkit-box-shadow: 0 0 0 0.2rem rgba(253, 126, 20, 0.4);
  box-shadow: 0 0 0 0.2rem rgba(253, 126, 20, 0.4);
}

.btn-temporarily.disabled, .btn-temporarily:disabled {
  opacity: 0.65;
  -webkit-box-shadow: none;
  box-shadow: none;
  color: #ffffff !important;
}

.btn-temporarily:not(:disabled):not(.disabled):active, .btn-temporarily:not(:disabled):not(.disabled).active {
  -webkit-box-shadow: none;
  box-shadow: none;
  background: #dc6502;
  border-color: #cf5f02;
  color: #ffffff;
}

.btn-temporarily:not(:disabled):not(.disabled):active:focus, .btn-temporarily:not(:disabled):not(.disabled).active:focus {
  -webkit-box-shadow: 0 0 0 0.2rem rgba(253, 126, 20, 0.4);
  box-shadow: 0 0 0 0.2rem rgba(253, 126, 20, 0.4);
  color: #ffffff;
}

/*匯入*/

.btn-import {
  background: #32343b;
  color: #ffffff;
  border-color: #32343b;
}

.btn-import:not(:disabled):not(.disabled):hover {
  color: #ffffff;
  background: #4e525f;
  border-color: #4e525f;
}

.btn-import:focus, .btn-import.focus {
  -webkit-box-shadow: 0 0 0 0.2rem rgba(159, 161, 177, 0.4);
  box-shadow: 0 0 0 0.2rem rgba(159, 161, 177, 0.4);
}

.btn-import.disabled, .btn-import:disabled {
  opacity: 0.65;
  -webkit-box-shadow: none;
  box-shadow: none;
  color: #ffffff !important;
}

.btn-import:not(:disabled):not(.disabled):active, .btn-import:not(:disabled):not(.disabled).active {
  -webkit-box-shadow: none;
  box-shadow: none;
  background: #4e525f;
  border-color: #4e525f;
  color: #ffffff;
}

.btn-import:not(:disabled):not(.disabled):active:focus, .btn-import:not(:disabled):not(.disabled).active:focus {
  -webkit-box-shadow: 0 0 0 0.2rem rgba(159, 161, 177, 0.4);
  box-shadow: 0 0 0 0.2rem rgba(159, 161, 177, 0.4);
  color: #ffffff;
}

/*匯出*/

.btn-export {
  background: #32343b;
  color: #ffffff;
  border-color: #32343b;
}

.btn-export:not(:disabled):not(.disabled):hover {
  color: #ffffff;
  background: #4e525f;
  border-color: #4e525f;
}

.btn-export:focus, .btn-export.focus {
  -webkit-box-shadow: 0 0 0 0.2rem rgba(159, 161, 177, 0.4);
  box-shadow: 0 0 0 0.2rem rgba(159, 161, 177, 0.4);
}

.btn-export.disabled, .btn-export:disabled {
  opacity: 0.65;
  -webkit-box-shadow: none;
  box-shadow: none;
  color: #ffffff !important;
}

.btn-export:not(:disabled):not(.disabled):active, .btn-export:not(:disabled):not(.disabled).active {
  -webkit-box-shadow: none;
  box-shadow: none;
  background: #4e525f;
  border-color: #4e525f;
  color: #ffffff;
}

.btn-export:not(:disabled):not(.disabled):active:focus, .btn-export:not(:disabled):not(.disabled).active:focus {
  -webkit-box-shadow: 0 0 0 0.2rem rgba(159, 161, 177, 0.4);
  box-shadow: 0 0 0 0.2rem rgba(159, 161, 177, 0.4);
  color: #ffffff;
}

/*下載*/

.btn-download {
  color: #fff;
  border-color: #0fa4a9;
  background: #0fa4a9;
}

.btn-download:not(:disabled):not(.disabled):hover {
  color: #ffffff;
  background-color: #138d92;
  border-color: #138d92;
}

.btn-download:focus, .btn-download.focus {
  -webkit-box-shadow: 0 0 0 0.2rem rgba(159, 161, 177, 0.5);
  box-shadow: 0 0 0 0.2rem rgba(159, 161, 177, 0.5);
}

.btn-download.disabled, .btn-download:disabled {
  color: #138d92;
  background-color: transparent;
}

.btn-download:not(:disabled):not(.disabled):active, .btn-download:not(:disabled):not(.disabled).active {
  color: #ffffff;
  background-color: #138d92;
  border-color: #138d92;
}

.btn-download:not(:disabled):not(.disabled):active:focus, .btn-download:not(:disabled):not(.disabled).active:focus {
  -webkit-box-shadow: 0 0 0 0.2rem rgba(159, 161, 177, 0.5);
  box-shadow: 0 0 0 0.2rem rgba(159, 161, 177, 0.5);
}

/*上傳*/

.btn-upload {
  color: #fff;
  border-color: #0fa4a9;
  background: #0fa4a9;
}

.btn-upload:not(:disabled):not(.disabled):hover {
  color: #ffffff;
  background-color: #138d92;
  border-color: #138d92;
}

.btn-upload:focus, .btn-upload.focus {
  -webkit-box-shadow: 0 0 0 0.2rem rgba(159, 161, 177, 0.5);
  box-shadow: 0 0 0 0.2rem rgba(159, 161, 177, 0.5);
}

.btn-upload.disabled, .btn-upload:disabled {
  color: #138d92;
  background-color: transparent;
}

.btn-upload:not(:disabled):not(.disabled):active, .btn-upload:not(:disabled):not(.disabled).active {
  color: #ffffff;
  background-color: #138d92;
  border-color: #138d92;
}

.btn-upload:not(:disabled):not(.disabled):active:focus, .btn-upload:not(:disabled):not(.disabled).active:focus {
  -webkit-box-shadow: 0 0 0 0.2rem rgba(159, 161, 177, 0.5);
  box-shadow: 0 0 0 0.2rem rgba(159, 161, 177, 0.5);
}

/*設定*/

.btn-set {
  color: #fff;
  border-color: #2184c1;;
  background: #2184c1;
}

.btn-set:not(:disabled):not(.disabled):hover {
  color: #ffffff;
  background: #3689bd;
  border-color: #3689bd;
}

.btn-set:focus, .btn-set.focus {
  -webkit-box-shadow: 0 0 0 0.2rem rgba(0, 112, 172, 0.5);
  box-shadow: 0 0 0 0.2rem rgba(0, 112, 172, 0.5);
}

.btn-set.disabled, .btn-set:disabled {
  color: #3993a4;
  background-color: transparent;
}

.btn-set:not(:disabled):not(.disabled):active, .btn-set:not(:disabled):not(.disabled).active {
  color: #ffffff;
  background-color: #3689bd;
  border-color: #3689bd;
}

.btn-set:not(:disabled):not(.disabled):active:focus, .btn-set:not(:disabled):not(.disabled).active:focus {
  -webkit-box-shadow: 0 0 0 0.2rem rgba(0, 172, 150, 0.5);
  box-shadow: 0 0 0 0.2rem rgba(0, 172, 150, 0.5);
}

/*檢視*/

.btn-preview {
  background: #32343b;
  color: #fff;
  border-color: #32343b;
}

.btn-preview:not(:disabled):not(.disabled):hover {
  color: #ffffff;
  background: #4e525f;
  border-color: #4e525f;
}

.btn-preview:focus, .btn-preview.focus {
  -webkit-box-shadow: 0 0 0 0.2rem rgba(217, 217, 217, 0.4);
  box-shadow: 0 0 0 0.2rem rgba(217, 217, 217, 0.4);
}

.btn-preview.disabled, .btn-preview:disabled {
  opacity: 0.65;
  -webkit-box-shadow: none;
  box-shadow: none;
  color: #ffffff !important;
}

.btn-preview:not(:disabled):not(.disabled):active, .btn-preview:not(:disabled):not(.disabled).active {
  -webkit-box-shadow: none;
  box-shadow: none;
  background: #4e525f;
  border-color: #4e525f;
  color: #ffffff;
}

.btn-preview:not(:disabled):not(.disabled):active:focus, .btn-preview:not(:disabled):not(.disabled).active:focus {
  -webkit-box-shadow: 0 0 0 0.2rem rgba(217, 217, 217, 0.4);
  box-shadow: 0 0 0 0.2rem rgba(217, 217, 217, 0.4);
  color: #ffffff;
}

/*儲存*/

.btn-save {
  background: #0ba36f;
  color: #ffffff;
  border-color: #0ba36f;
}

.btn-save:not(:disabled):not(.disabled):hover {
  color: #ffffff;
  background: #008675;
  border-color: #00796a;
}

.btn-save:focus, .btn-save.focus {
  -webkit-box-shadow: 0 0 0 0.2rem rgba(0, 172, 150, 0.4);
  box-shadow: 0 0 0 0.2rem rgba(0, 172, 150, 0.4);
}

.btn-save.disabled, .btn-save:disabled {
  opacity: 0.65;
  -webkit-box-shadow: none;
  box-shadow: none;
  color: #ffffff !important;
}

.btn-save:not(:disabled):not(.disabled):active, .btn-save:not(:disabled):not(.disabled).active {
  -webkit-box-shadow: none;
  box-shadow: none;
  background: #00796a;
  border-color: #006c5e;
  color: #ffffff;
}

.btn-save:not(:disabled):not(.disabled):active:focus, .btn-save:not(:disabled):not(.disabled).active:focus {
  -webkit-box-shadow: 0 0 0 0.2rem rgba(0, 172, 150, 0.4);
  box-shadow: 0 0 0 0.2rem rgba(0, 172, 150, 0.4);
  color: #ffffff;
}

/*-- jo add --*/

/* 瀏覽or檢視 */

.table .btn-preview {
  color: #32343b;
  border-color: #32343b;
  background: transparent;
}

.table .btn-preview:not(:disabled):not(.disabled):hover {
  color: #ffffff;
  background-color: #4e525f;
  border-color: #4e525f;
}

.table .btn-preview:focus, .table .btn-preview.focus {
  -webkit-box-shadow: 0 0 0 0.2rem rgba(217, 217, 217, 0.4);
  box-shadow: 0 0 0 0.2rem rgba(217, 217, 217, 0.4);
}

.table .btn-preview.disabled, .table .btn-preview:disabled {
  color: #4e525f;
  background-color: #4e525f;
}

.table .btn-preview:not(:disabled):not(.disabled):active, .table .btn-preview:not(:disabled):not(.disabled).active {
  color: #ffffff;
  background-color: #4e525f;
  border-color: #4e525f;
}

.table .btn-preview:not(:disabled):not(.disabled):active:focus, .table .btn-preview:not(:disabled):not(.disabled).active:focus {
  -webkit-box-shadow: 0 0 0 0.2rem rgba(217, 217, 217, 0.4);
  box-shadow: 0 0 0 0.2rem rgba(217, 217, 217, 0.4);
}

/* 審核 */

.btn-apply {
  color: #fff;
  border-color: #0ba36f;
  background: #0ba36f;
}

.btn-apply:not(:disabled):not(.disabled):hover {
  color: #ffffff;
  background-color: #0ba36f;
  border-color: #0ba36f;
}

.btn-apply:focus, .btn-apply.focus {
  -webkit-box-shadow: 0 0 0 0.2rem rgba(0, 172, 150, 0.4);
  box-shadow: 0 0 0 0.2rem rgba(0, 172, 150, 0.4);
}

.btn-apply.disabled, .btn-apply:disabled {
  color: #0ba36f;
  background-color: transparent;
}

.btn-apply:not(:disabled):not(.disabled):active, .btn-apply:not(:disabled):not(.disabled).active {
  color: #ffffff;
  background-color: #0ba36f;
  border-color: #0ba36f;
}

.btn-apply:not(:disabled):not(.disabled):active:focus, .btn-apply:not(:disabled):not(.disabled).active:focus {
  -webkit-box-shadow: 0 0 0 0.2rem rgba(0, 172, 150, 0.4);
  box-shadow: 0 0 0 0.2rem rgba(0, 172, 150, 0.4);
}

.table td .btn-apply {
  color: #0ba36f;
  border-color: #0ba36f;
  background: transparent;
}

/*預覽列印*/

.btn-previewprint {
  background: #32343b;
  color: #fff;
  border-color: #32343b;
}

.btn-previewprint:not(:disabled):not(.disabled):hover {
  color: #ffffff;
  background: #4e525f;
  border-color: #4e525f;
}

.btn-previewprint:focus, .btn-previewprint.focus {
  -webkit-box-shadow: 0 0 0 0.2rem rgba(217, 217, 217, 0.4);
  box-shadow: 0 0 0 0.2rem rgba(217, 217, 217, 0.4);
}

.btn-previewprint.disabled, .btn-previewprint:disabled {
  opacity: 0.65;
  -webkit-box-shadow: none;
  box-shadow: none;
  color: #ffffff !important;
}

.btn-previewprint:not(:disabled):not(.disabled):active, .btn-previewprint:not(:disabled):not(.disabled).active {
  -webkit-box-shadow: none;
  box-shadow: none;
  background: #4e525f;
  border-color: #4e525f;
  color: #ffffff;
}

.btn-previewprint:not(:disabled):not(.disabled):active:focus, .btn-previewprint:not(:disabled):not(.disabled).active:focus {
  -webkit-box-shadow: 0 0 0 0.2rem rgba(217, 217, 217, 0.4);
  box-shadow: 0 0 0 0.2rem rgba(217, 217, 217, 0.4);
  color: #ffffff;
}